
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("wms_product_instock_detail")]
    public class WmsProductInstockDetail
    {

        [Key]
        [Column("product_instock_detail_id")]
        public long? productInstockDetailId { get; set; }

        /// <summary>
        /// 成品入库记录ID
        /// </summary>
        [Column("product_instock_id")]
        public long? productInstockId { get; set; }

        /// <summary>
        /// 库位编码
        /// </summary>
        [Column("location_code")]
        public string locationCode { get; set; }

        /// <summary>
        /// 成品ID
        /// </summary>
        [Column("product_id")]
        public long? productId { get; set; }

        /// <summary>
        /// 成品条码
        /// </summary>
        [Column("product_barcode")]
        public string productBarcode { get; set; }

        /// <summary>
        /// 成品批次
        /// </summary>
        [Column("product_batch")]
        public string productBatch { get; set; }

        /// <summary>
        /// 执行状态(0待执行,1执行中,2执行完成)
        /// </summary>
        [Column("execute_status")]
        public string executeStatus { get; set; }

        /// <summary>
        /// 同步ERP状态(0:失败,1成功)
        /// </summary>
        [Column("erp_status")]
        public string erpStatus { get; set; }

        /// <summary>
        /// 同步给ERP的数量
        /// </summary>
        [Column("erp_amount")]
        public decimal? erpAmount { get; set; }

        /// <summary>
        /// 计划数量
        /// </summary>
        [Column("plan_amount")]
        public decimal planAmount { get; set; }

        /// <summary>
        /// 入库数量
        /// </summary>
        [Column("instock_amount")]
        public decimal? instockAmount { get; set; }

        /// <summary>
        /// 入库人
        /// </summary>
        [Column("instock_by")]
        public string instockBy { get; set; }

        /// <summary>
        /// 入库时间
        /// </summary>
        [Column("instock_date")]
        public DateTime? instockDate { get; set; }

        /// <summary>
        /// 入库方式（1：人工入库 2：AGV入库 ）
        /// </summary>
        [Column("instock_way")]
        public string instockWay { get; set; }

        /// <summary>
        /// 最后更新人
        /// </summary>
        [Column("update_by")]
        public string updateBy { get; set; }

        /// <summary>
        /// 最后更新时间
        /// </summary>
        [Column("update_date")]
        public DateTime? updateDate { get; set; }
    }
}

